How to fully update to Kwheezy 1.2

Last update on Jan. 3, 2014.

How to fully update to Kwheezy 1.2

This guide will show you how to fully update your Kwheezy 1.1 (or below) installation to version 1.2.

The apt upgrade (via Apper or apt-get update/upgrade) will take care of most stuff, and it is sufficiant if you don't mind using dmo packages (deb-multimedia.org). However, if you want to get all the changes of v1.2, follow the instructions below. You may selectively follow these instructions, if  you don't need all the changes.

The first thing to do is an apt upgrade. Just update as usual using (i) Apper, or (ii) "#apt-get update; apt-get upgrade". If unsure, follow the guide here, skip down to "Updating the system".

Once the upgrade has finished, follow these steps:

1.) Replace deb-multimedia.org packages with official Debian packages:

Logout and login to the Administrator account. If you can't do this, su to root is another option. Open the terminal (F12), or otherwise use Konsole from the System menu.

WARNING: Make sure you have a stable internet connection, power source and your root partition has plenty free space. This operation should no interupt or fail, or it could cause problems with your system.

Run the following command:

sudo replace-dmo-packages

This could take a while. It will create a directory (folder) at the location you run it from. Hopefully directly inside the adminstrator's home folder (/home/administrator/). It will be named similar to "replace-dmo-packages-2013-09-22_11:12:46", e.g. with a date/time-stamp.

Once completed successfully the dmo packages should be gone, replaced by Debian and Kwheezy ones. To check if this is the case, run these commands to see how succesful it is. The dmo keyring package may remain, this is not a problem.

dpkg -l | grep "\-dmo"

You should see no "-dmo" packages remaining. Except maybe the keyring, that's OK.

dpkg -l | grep vlc

You should see some vlc packages.

dpkg -l | faac

You should see a couple faac related package.

The files inside the migration folder mentioned above show some working. They are as follows:

  • dmo-packages-not-replaced.txt   -  lists packages not able to be replaced.
  • dmo-packages-replaced-by-apt-get-fix.txt   - lists packages replaced from existing dependencies (--fix-broken).
  • dmo-packages-replaced-overall.txt   - lists packages replaced overall.
  • dmo-packages-to-install.txt   - lists packages not replaced by dependecies (--fix-broken).
  • dmo-packages-to-replace.txt   - lists overall packages that need replacing, this is the first file created.

The contents of dmo-packages-not-replaced.txt should be similar to this. You might have some more, depending on whether you added software from the dmo repository, that are not in Debian repo: (below)

  • dvdwizard
  • gstreamer0.10-ffmpeg
  • libaacplus2:amd64
  • libavdevice54:amd64
  • libavfilter3:amd64
  • libavformat54:amd64
  • libdca0:amd64
  • libfdk-aac0:amd64
  • liblavfile-2.0-0
  • liblavjpeg-2.0-0
  • liblavplay-2.0-0
  • libmlt++3:amd64
  • libmlt5:amd64
  • libswresample0:amd64
  • libx264-124:amd64
  • libx264-130:amd64
  • libx264-132:amd64
  • xdvdrip
  • mjpegtools

That's it, you should be good to go. Try using VLC and play some of your favorite media / DVDs.

If you have any problems, contact kwheezy support. Keep these files for debugging puposes.

2.) Install newly added packages

There was a few packages added to Kwheezy 1.2. To install them use this command. You may remove some packages from the list if you don't need/want them.

su
apt-get update
apt-get install steam-debian playonlinux kdegames dreamchess basket tree
apt-get install libwine-cms libwine-gphoto2 libwine-ldap libwine-print libwine-sane
apt-get install libwine-alsa libwine-openal libwine-oss libwine-gl

OK, that should just about do it. You should be as close to Kwheezy 1.2 as you can get. 

Next entry

Previous entry

Similar entries

Comments

  1. lemorte

    lemorte on 09/22/2013 9:28 p.m. #

    Ok, I did what you told me. After that I have to remove KDE Desktop, thank god I installed fluxbox before.

  2. lemorte

    lemorte on 09/22/2013 11:07 p.m. #

    It was ok now, I forgot to use su. Instead I use kdesu to do the upgrade. Silly me.

  3. euan

    euan on 09/23/2013 10:48 a.m. #

    @lemorte: OK, I'm not sure what the outcome would be if kdesu is used, but it is definetely not recommended. Be careful, and follow instructions exactly.

    I was nervous releasing these instructions, because I didn't want anyone to mess up their system. That's why I gave warning.

    I hope you installation is healthy. Did you manage to get everything back? Did you manage to repace all the dmo packages?

    If you're not 100% sure, it may be worth a re-install, using v1.2. You can keep your user profile if you choose manual installation, and don't format the home partition. If you do this, you can ask me for help how to do it.

  4. speedyx

    speedyx on 09/23/2013 1:52 p.m. #

    I'm interested in an how-to to upgrade from debian wheezy kde to kwheezy.

  5. euan

    euan on 09/23/2013 5:22 p.m. #

    @speedyx: To be honest it's too much work for me to explain how. Almost as much as it is to make Kwheezy. I can only recommend that you install Kwheezy. It will be much much easier and faster.

  6. lemorte

    lemorte on 09/23/2013 5:54 p.m. #

    My KDE desktop was allright, I'm losing all the Kwheezy goodies. I can't reinstalled kwheezy-dist and all short things. Conky cause blank screen so I have to disable it on KDE.
    Overall it still runs perfectly on my system.

  7. euan

    euan on 09/23/2013 6:13 p.m. #

    @lemorte: I posted a possible solution in the forums.

Comments are closed.

Pingbacks

Pingbacks are closed.